Bug 1343462 (CVE-2014-9806) - CVE-2014-9806 ImageMagick: fd leak due to corrupted file
Summary: CVE-2014-9806 ImageMagick: fd leak due to corrupted file
Status: CLOSED WONTFIX
Alias: CVE-2014-9806
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141224,repor...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 11:45 UTC by Martin Prpič
Modified: 2019-06-08 21:15 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:53:27 UTC


Attachments (Terms of Use)

Comment 1 Marcus Meissner 2016-06-08 14:47:32 UTC
I htink it is probably this one:

https://anonscm.debian.org/cgit/collab-maint/imagemagick.git/commit/?h=debian-patches/6.8.9.9-4-for-upstream&id=9fdb9bf2832a1aa2c79002ae5c2ba1e8018e4ff1

as it has:
Added missing calls to RelinquishUniqueFileResource.
Avoid to leak fd in case of error.


Note You need to log in before you can comment on or make changes to this bug.